/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.interfaces;


import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import java.io.Serializable;
import java.sql.Date;

import javax.annotation.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public interface ITanque extends VertxPojo, Serializable {

    /**
     * Setter for <code>public.tanque.tanid</code>.
     */
    public ITanque setTanid(Integer value);

    /**
     * Getter for <code>public.tanque.tanid</code>.
     */
    public Integer getTanid();

    /**
     * Setter for <code>public.tanque.tanidentificacao</code>.
     */
    public ITanque setTanidentificacao(String value);

    /**
     * Getter for <code>public.tanque.tanidentificacao</code>.
     */
    public String getTanidentificacao();

    /**
     * Setter for <code>public.tanque.tandatainicio</code>.
     */
    public ITanque setTandatainicio(Date value);

    /**
     * Getter for <code>public.tanque.tandatainicio</code>.
     */
    public Date getTandatainicio();

    /**
     * Setter for <code>public.tanque.fkcriacao</code>.
     */
    public ITanque setFkcriacao(Integer value);

    /**
     * Getter for <code>public.tanque.fkcriacao</code>.
     */
    public Integer getFkcriacao();

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * Load data from another generated Record/POJO implementing the common interface ITanque
     */
    public void from(com.tabajara.base.tables.interfaces.ITanque from);

    /**
     * Copy data into another generated Record/POJO implementing the common interface ITanque
     */
    public <E extends com.tabajara.base.tables.interfaces.ITanque> E into(E into);

    @Override
    public default ITanque fromJson(io.vertx.core.json.JsonObject json) {
        setTanid(json.getInteger("tanid"));
        setTanidentificacao(json.getString("tanidentificacao"));
        // Omitting unrecognized type java.sql.Date for column tandatainicio!
        setFkcriacao(json.getInteger("fkcriacao"));
        return this;
    }


    @Override
    public default io.vertx.core.json.JsonObject toJson() {
        io.vertx.core.json.JsonObject json = new io.vertx.core.json.JsonObject();
        json.put("tanid",getTanid());
        json.put("tanidentificacao",getTanidentificacao());
        // Omitting unrecognized type java.sql.Date for column tandatainicio!
        json.put("fkcriacao",getFkcriacao());
        return json;
    }

}
